## pmw 4.24

=== doc/Makefile ===
--- 
+++ 
@@ -7,16 +7,22 @@
 # ps2pdf to generate a PDF from the PostScript output
 #
 # Use the version of PMW compiled in this tree.
-# The other commands must be installed in the PATH.
-
-PMW=../src/pmw
+# The other commands must be installed in the PATH. However, we have to
+# ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
+# at the PMW directory is dangerous because it also uses a file called
+# PSheader. Instead, we make temporary copies for it to use.
+
+PMW=../src/pmw -F ../fontmetrics -H ../PSheader
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
 		    ps2pdf spec.ps spec.pdf
 
-spec.ps:            spec.xml \
+spec.ps:            Makefile \
+                    spec.xml \
+                    fontmetrics/PMW-Alpha.afm \
+                    fontmetrics/PMW-Music.afm \
                     postscript/fig01 \
                     postscript/fig02 \
                     postscript/fig03 \
@@ -74,11 +80,18 @@
                     postscript/music51 \
                     postscript/music52 \
                     postscript/music53
-		    sdop spec.xml
+		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
 		    xfpt spec.xfpt
-                     
+
+fontmetrics/PMW-Alpha.afm: ../fontmetrics/PMW-Alpha.afm
+		    mkdir -p fontmetrics
+		    cp ../fontmetrics/PMW-Alpha.afm fontmetrics
+
+fontmetrics/PMW-Music.afm: ../fontmetrics/PMW-Music.afm
+		    mkdir -p fontmetrics
+		    cp ../fontmetrics/PMW-Music.afm fontmetrics
 
 postscript/fig01:   figures/fig01.aspic
 		    aspic figures/fig01.aspic postscript/fig01
@@ -252,6 +265,6 @@
 postscript/music53: examples/ex53
 		    ${PMW} -eps -nowidechars -o postscript/music53 examples/ex53
 
-clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/*
+clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End
