## pmw 4.26

=== doc/Makefile ===
--- 
+++ 
@@ -79,7 +79,8 @@
                     postscript/music50 \
                     postscript/music51 \
                     postscript/music52 \
-                    postscript/music53
+                    postscript/music53 \
+                    postscript/music54 
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -265,6 +266,9 @@
 postscript/music53: examples/ex53
 		    ${PMW} -eps -nowidechars -o postscript/music53 examples/ex53
 
+postscript/music54: examples/ex54
+		    ${PMW} -eps -nowidechars -o postscript/music54 examples/ex54
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End
