## pmw 4.27

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,11 @@
 # aspic  to generate EPS files for the figures
 # pmw    to generate EPS files for the music examples
 # sdop   to generate PostScript from the base document + figures + examples
-# ps2pdf to generate a PDF from the PostScript output
+# gs     to generate a PDF from the PostScript output
+#
+# The fancy gs command ensures that all the fonts are embedded in the PDF.
+# Otherwise some of the rarer characters may not be present in fonts used by
+# acroread or other PDF displayers.
 #
 # Use the version of PMW compiled in this tree.
 # The other commands must be installed in the PATH. However, we have to
@@ -17,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    ps2pdf spec.ps spec.pdf
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
