## pmw 4.28-2

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
