=== debian/changelog ===
pmw (1:4.28-2) unstable; urgency=medium

  * debian/rules: reorganize so that dpkg-buildpackage -A works. Closes: #806094
  * debian/rules: also split up the build target so that we have a
    useful binary-arch target.
  * debian/control: move a few dependencies from Build-Depends to
    Build-Depends-Indep, in light of the above.
  * debian/compat: bump to level 9
  * debian/control: bump debhelper build-dep to at least version 9, in
    light of the above.
  * debian/control: update Homepage: field to point to the new location.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 24 Nov 2015 22:55:40 +0100

pmw (1:4.28-1) unstable; urgency=medium

  * New upstream release
  * Fix Vcs-Git url to silence lintian warning
  * Update Standards-Version to 3.9.5 (no changes)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 31 Dec 2013 11:01:18 +0100

pmw (1:4.27-1) unstable; urgency=medium

  * New upstream release
  * Install doc/examples into pmw-doc, too

 -- Wouter Verhelst <wouter@debian.org>  Wed, 18 Dec 2013 12:55:01 +0100

pmw (1:4.26-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version: to 3.9.4 (nothing relevant to pmw)

 -- Wouter Verhelst <wouter@debian.org>  Wed, 29 May 2013 23:16:06 +0200

pmw (1:4.24-1) unstable; urgency=low

  * New upstream release
  * Add epoch, because I forgot that 231 > 23. Argl.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 18 May 2012 01:13:50 +0200

pmw (4.231-1) unstable; urgency=low

  * New upstream release
    - Fixes test suite; Closes: #658229.
  * Do 'set -e' in maintainer scripts, so we don't ignore errors
  * Fix update-gsfontmap stuff again, hopefully for good. Closes: #635550.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 23 Jan 2012 23:00:32 +0100

pmw (4.23-1) unstable; urgency=low

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Mon, 23 Jan 2012 22:38:26 +0100

pmw (4.22-4) unstable; urgency=low

  * The 'ghostscript sucks' release.
  * Check for update-gsfontmap the right way. Closes: #635550.
  * add Build-Conflicts: pmw. Building the documentation requires access
    to the PMW fonts, which ghostscript allows either through adding a
    file to /etc/ghostscript, or through setting an environment
    variable, but not both (ghostscript breaks if you try). Using the
    package also requires the fonts.
    Building requires the environment variable (otherwise fixing bugs in
    a previous package could be problematic). Using requires the config
    file (requiring environment variables to be set is not allowed by
    Debian Policy, and wrapper scripts are ugly). Therefore, we can't
    build pmw if pmw itself is installed.
    Did I mention I'm not a ghostscript fan?
  * Declare Standards-Version 3.9.2 (no changes applicable to pmw)
  * Add Recommends: ghostscript

 -- Wouter Verhelst <wouter@debian.org>  Fri, 29 Jul 2011 17:57:55 +0200

pmw (4.22-3) unstable; urgency=low

  * debian/pmw.postinst: Check for existence of update-gsfontmap before
    trying to run it. This way it will work without ghostscript
    installed, which we don't depend on. Closes: #622334.
  * Use dh_installdocs rather than override_dh_install to install pmw-doc's
    documents into /usr/share/doc/pmw. Closes: #621886.
  * To remain policy-compliant in light of the above, make pmw-doc
    depend on pmw.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 13 Apr 2011 12:17:01 +0200

pmw (4.22-2) unstable; urgency=low

  * Make PMW fonts available to ghostscript.
  * Add Vcs-Browser and Vcs-Git headers to source package

 -- Wouter Verhelst <wouter@debian.org>  Fri, 04 Mar 2011 11:19:32 +0100

pmw (4.22-1) unstable; urgency=low

  * Initial release. (Closes: #480101)

 -- Wouter Verhelst <wouter@debian.org>  Fri, 11 Feb 2011 13:18:53 +0100
