=== debian/control ===
Source: pmw
Priority: extra
Section: tex
Maintainer: Wouter Verhelst <wouter@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: aspic, xfpt, sdop, ghostscript
Build-Conflicts: pmw
Standards-Version: 3.9.5
Homepage: http://people.ds.cam.ac.uk/ph10/pmw.html
Vcs-Git: git://git.debian.org/users/wouter/pmw.git
Vcs-Browser: http://git.debian.org/?p=users/wouter/pmw.git;a=summary

Package: pmw
Section: tex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript
Suggests: pmw-doc
Description: Philip's Music Writer
 PMW is a computer program for high quality music typesetting. It was
 originally written for Acorn RISC OS computers (where it was called
 PMS)
 .
 PMW operates by reading an input file containing an encoded description
 of the music; such a file can be constructed using any text editor or
 word processor. The music encoding is very straightforward and compact,
 and quick to enter. The input encoding is designed to be easy for a
 musician to remember, and tries to make use of as many familiar musical
 notations as possible within the limitations of an ASCII character set.
 .
 PMW can output PostScript files for printing, and basic MIDI files for
 proof-hearing.

Package: pmw-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, pmw
Description: Philip's Music Writer - Documentation
 This package contains the documentation, in PDF format, of pmw, as well
 as a number of examples.
