=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	rm -rf debian/pmw/usr/man
	dh_installman

override_dh_auto_clean:
	# env -i? dpkg-buildflags must die.
	[ ! -f Makefile ] || env -i $(MAKE) distclean
	$(MAKE) -C doc clean
	dh_clean

override_dh_auto_build-arch:
	$(MAKE)

# documentation uses the built binaries, so we need to compile -- but no
# need to build documentation when it's not asked for...
override_dh_auto_build-indep: override_dh_auto_build-arch
	$(MAKE) -C doc

override_dh_install-arch:
	dh_install -a
	cp -a debian/fonts.conf debian/pmw/etc/ghostscript/fontmap.d/20pmw.conf
	rm -f debian/pmw/usr/share/pmw/fontmetrics/LICENCE

override_dh_installdocs:
	dh_installdocs --link-doc=pmw
