## pmw 4.28-4

=== debian/changelog ===
pmw (1:4.28-4) unstable; urgency=medium

  * Add a proper dpkg-maintscript-helper call to ensure the pmw-doc -> pmw
    symlink is removed from /usr/share/doc. Really closes: #858348.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 02 Apr 2017 12:50:48 +0200

pmw (1:4.28-3) unstable; urgency=medium

  * Drop the --link-doc parameter from the dh_installdocs invocation, as
    explained in #766711. Closes: #858348.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 24 Mar 2017 21:15:09 +0100
