## pmw 4.29

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
@@ -84,7 +84,8 @@
                     postscript/music51 \
                     postscript/music52 \
                     postscript/music53 \
-                    postscript/music54 
+                    postscript/music54 \
+                    postscript/music55
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -273,6 +274,9 @@
 postscript/music54: examples/ex54
 		    ${PMW} -eps -nowidechars -o postscript/music54 examples/ex54
 
+postscript/music55: examples/ex55
+		    ${PMW} -eps -nowidechars -o postscript/music55 examples/ex55
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End
