=== debian/changelog ===
pmw (1:4.29-1) unstable; urgency=medium

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Wed, 21 Jun 2017 22:09:45 +0200
