## pmw 4.30

=== doc/Makefile ===
--- 
+++ 
@@ -15,13 +15,17 @@
 # ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
 # at the PMW directory is dangerous because it also uses a file called
 # PSheader. Instead, we make temporary copies for it to use.
+#
+# It seems that gs doesn't pick up the PMW-Alpha font from GS_FONTPATH as
+# it does for the PMW-Music font (perhaps because it's a Type 3?) so we
+# include it explicitly when making the PDF.
 
 PMW=../src/pmw -F ../fontmetrics -H ../PSheader
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf ../psfonts/PMW-Alpha spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
@@ -85,7 +89,8 @@
                     postscript/music52 \
                     postscript/music53 \
                     postscript/music54 \
-                    postscript/music55
+                    postscript/music55 \
+                    postscript/music56
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -277,6 +282,9 @@
 postscript/music55: examples/ex55
 		    ${PMW} -eps -nowidechars -o postscript/music55 examples/ex55
 
+postscript/music56: examples/ex56
+		    ${PMW} -eps -nowidechars -o postscript/music56 examples/ex56
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End
