=== src/Makefile ===
# Makefile for PMW on Unix-like systems

# The toplevel Makefile passes in configured settings

FONTMETRICS=$(DATADIR)/fontmetrics
PSHEADER=$(DATADIR)/PSheader
MIDIVOICES=$(DATADIR)/MIDIvoices
MIDIPERC=$(DATADIR)/MIDIperc
FONTDIR=$(DATADIR)/psfonts

CC=$CC)
CFLAGS=$(CFLAGS)

COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(CFLAGS) -I. -c
LINK = $(CC) $(CFLAGS)

HDRS = barhdr.h outhdr.h pagehdr.h pmwhdr.h poshdr.h rdargs.h readhdr.h
DEPS = $(HDRS) Makefile ../Makefile

OBJ = debug.o error.o font.o format.o globals.o init.o main.o \
      midi.o misc.o out1.o out2.o pagesubs.o paginate.o possubs.o \
      postable.o preprocess.o print.o ps.o rdargs.o \
      read1.o read2.o read3.o read4.o read5.o read6.o \
      setbar.o setbeam.o setdraw.o sethairpin.o setnbar.o \
      setnote.o setother.o setslur.o settext.o settie.o \
      setwarn.o shownote.o store.o string.o \
      tables.o transpose.o tree.o version.o
      
# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile.

intcall:;      cd ..; $(MAKE);

# This is the main target

all:            pmw

pmw:            $(OBJ)
		@echo "$(CC) -o pmw"
		$(FE)$(LINK) $(OBJ) -o pmw -lm
		@echo ">>> pmw binary built"

clean:;         rm -f *.o pmw

.SUFFIXES: .o .c
.c.o:;  @echo  "$(CC) $*.c"
		$(FE)$(COMP) $*.c

debug.o:        $(DEPS) debug.c
draw.o:         $(DEPS) draw.c
rdargs.o:       $(DEPS) rdargs.c
error.o:        $(DEPS) error.c
font.o:         $(DEPS) font.c
format.o:       $(DEPS) format.c
globals.o:      $(DEPS) globals.c
init.o:         $(DEPS) init.c
main.o:         $(DEPS) main.c
midi.o:         $(DEPS) midi.c
misc.o:         $(DEPS) misc.c
out1.o:         $(DEPS) out1.c
out2.o:         $(DEPS) out2.c
pagesubs.o:     $(DEPS) pagesubs.c
paginate.o:     $(DEPS) paginate.c
possubs.o:      $(DEPS) possubs.c
postable.o:     $(DEPS) postable.c
preprocess.o:   $(DEPS) preprocess.c
print.o:        $(DEPS) print.c
ps.o:           $(DEPS) ps.c
read1.o:        $(DEPS) read1.c
read2.o:        $(DEPS) read2.c
read3.o:        $(DEPS) read3.c
read4.o:        $(DEPS) read4.c
read5.o:        $(DEPS) read5.c
read6.o:        $(DEPS) read6.c
render.o:       $(DEPS) render.c
screen.o:       $(DEPS) screen.c
scrncache.o:    $(DEPS) scrncache.c
setbar.o:       $(DEPS) setbar.c
setbeam.o:      $(DEPS) setbeam.c
setdraw.o:      $(DEPS) setdraw.c
sethairpin.o:   $(DEPS) sethairpin.c
setnbar.o:      $(DEPS) setnbar.c
setnote.o:      $(DEPS) setnote.c
setother.o:     $(DEPS) setother.c
settext.o:      $(DEPS) settext.c
settie.o:       $(DEPS) settie.c
setslur.o:      $(DEPS) setslur.c
setwarn.o:      $(DEPS) setwarn.c
shownote.o:     $(DEPS) shownote.c
store.o:        $(DEPS) store.c
string.o:       $(DEPS) string.c
tables.o:       $(DEPS) tables.c
transpose.o:    $(DEPS) transpose.c
tree.o:         $(DEPS) tree.c
version.o:      $(DEPS) version.c

# End of Makefile for PMW
