## pmw 4.50

=== doc/Makefile ===
--- 
+++ 
@@ -90,7 +90,8 @@
                     postscript/music53 \
                     postscript/music54 \
                     postscript/music55 \
-                    postscript/music56
+                    postscript/music56 \
+                    postscript/music57
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -285,6 +286,9 @@
 postscript/music56: examples/ex56
 		    ${PMW} -eps -nowidechars -o postscript/music56 examples/ex56
 
+postscript/music57: examples/ex57
+		    ${PMW} -eps -nowidechars -o postscript/music57 examples/ex57
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End
