=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 CC=$CC)
 CFLAGS=$(CFLAGS)
 
-COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(CFLAGS) -I. -c
+COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(SUPPORT_B2PF) $(CFLAGS) -I. -c
 LINK = $(CC) $(CFLAGS)
 
 HDRS = barhdr.h outhdr.h pagehdr.h pmwhdr.h poshdr.h rdargs.h readhdr.h
@@ -39,7 +39,7 @@
 
 pmw:            $(OBJ)
 		@echo "$(CC) -o pmw"
-		$(FE)$(LINK) $(OBJ) -o pmw -lm
+		$(FE)$(LINK) $(OBJ) -o pmw -lm $(LFLAGS)
 		@echo ">>> pmw binary built"
 
 clean:;         rm -f *.o pmw
