## pmw 5.20

=== doc/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # acroread or other PDF displayers.
 #
 # Use the version of PMW compiled in this tree.
+#
 # The other commands must be installed in the PATH. However, we have to
 # ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
 # at the PMW directory is dangerous because it also uses a file called
@@ -20,14 +21,17 @@
 # it does for the PMW-Music font (perhaps because it's a Type 3?) so we
 # include it explicitly when making the PDF.
 
-PMW=../src/pmw -F ../fontmetrics -H ../PSheader
+PMW=../src/pmw -F ../fontmetrics -H ../PSheader -SM ../macros
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
 		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf ../psfonts/PMW-Alpha spec.ps
 
+postscript:;        mkdir postscript
+
 spec.ps:            Makefile \
+                    postscript \
                     spec.xml \
                     fontmetrics/PMW-Alpha.afm \
                     fontmetrics/PMW-Music.afm \
@@ -91,7 +95,20 @@
                     postscript/music54 \
                     postscript/music55 \
                     postscript/music56 \
-                    postscript/music57
+                    postscript/music57 \
+                    postscript/music58 \
+                    postscript/music59 \
+                    postscript/music60 \
+                    postscript/music61 \
+                    postscript/music62 \
+                    postscript/music63 \
+                    postscript/music64 \
+                    postscript/music65 \
+                    postscript/music66 \
+                    postscript/music67 \
+                    postscript/music68 \
+                    postscript/music69 \
+                    postscript/music70
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -289,6 +306,30 @@
 postscript/music57: examples/ex57
 		    ${PMW} -eps -nowidechars -o postscript/music57 examples/ex57
 
-clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
-
-# End
+postscript/music58: examples/ex58
+		    ${PMW} -eps -nowidechars -o postscript/music58 examples/ex58
+
+postscript/music59: examples/ex59
+		    ${PMW} -eps -nowidechars -o postscript/music59 examples/ex59
+
+postscript/music60: examples/ex60
+		    ${PMW} -eps -nowidechars -o postscript/music60 examples/ex60
+
+postscript/music61: examples/ex61
+		    ${PMW} -eps -nowidechars -o postscript/music61 examples/ex61
+
+postscript/music62: examples/ex62
+		    ${PMW} -eps -nowidechars -o postscript/music62 examples/ex62
+
+postscript/music63: examples/ex63
+		    ${PMW} -eps -nowidechars -o postscript/music63 examples/ex63
+
+postscript/music64: examples/ex64
+		    ${PMW} -eps -nowidechars -o postscript/music64 examples/ex64
+
+postscript/music65: examples/ex65
+		    ${PMW} -eps -nowidechars -o postscript/music65 examples/ex65
+
+postscript/music66: examples/ex66
+		    ${PMW} -eps -nowidechars -o postscript/music66 examples/ex66
+
