=== debian/changelog ===
pmw (1:5.20-2) unstable; urgency=medium

  * Cherry-pick commit b935c10d07fe5f4027df0f6102946cd0d4066069 from
    upstream main branch to fix warning in one of the exmples, and the
    failure of the autopkgtest as a result.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 17 Oct 2022 09:35:55 +0200

pmw (1:5.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/format, debian/source/local-options,
    debian/source/include-binaries: convert to source format 3.0 (quilt), and
    set single-debian-patch (git is for history).
  * doc/Makefile: update to fix music rendering in spec.pdf
  * debian/control: point to new homepage.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 29 Sep 2022 10:13:03 +0200

pmw (1:4.50-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat, debian/control: bump debhelper compat level to 10
    (from 9), and move to new style of compatibility level declaration.
    Don't bump to 11 or above, since that adds --runstatedir, which our
    configure script doesn't support.
  * Add autopkgtest
  * debian/control: Update Homepage field to point to new location
  * debian/pmw-doc.postrm: add, to finish up dpkg-maintscript-helper
    calls and make lintian happy.
  * src/Makefile: drop @echo lines, and show the full gcc output, so
    that blhc doesn't get confused.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 29 Dec 2020 12:48:01 +0200

pmw (1:4.29-2) unstable; urgency=medium

  * Register the spec PDF file with doc-base
  * Ensure orig.tar.gz exists, so we don't build as a native package anymore (whoops)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 26 Sep 2017 13:44:22 +0200
