=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: extra
 Section: tex
 Maintainer: Wouter Verhelst <wouter@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 10)
 Build-Depends-Indep: aspic, xfpt, sdop, ghostscript
 Build-Conflicts: pmw
 Standards-Version: 3.9.5
-Homepage: http://people.ds.cam.ac.uk/ph10/pmw.html
-Vcs-Git: git://git.debian.org/users/wouter/pmw.git
-Vcs-Browser: http://git.debian.org/?p=users/wouter/pmw.git;a=summary
+Homepage: https://philiphazel.github.io/pmw/
+Vcs-Git: https://salsa.debian.org/wouter/pmw.git
+Vcs-Browser: https://salsa.debian.org/wouter/pmw
 
 Package: pmw
 Section: tex
