## pmw 5.22

=== doc/Makefile ===
--- 
+++ 
@@ -108,7 +108,8 @@
                     postscript/music67 \
                     postscript/music68 \
                     postscript/music69 \
-                    postscript/music70
+                    postscript/music70 \
+                    postscript/music71
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -331,5 +332,3 @@
 		    ${PMW} -eps -nowidechars -o postscript/music65 examples/ex65
 
 postscript/music66: examples/ex66
-		    ${PMW} -eps -nowidechars -o postscript/music66 examples/ex66
-
