=== debian/changelog ===
pmw (1:5.22-1) unstable; urgency=medium

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Fri, 22 Dec 2023 02:05:36 +0200

pmw (1:5.21-1) unstable; urgency=medium

  * New upstream release
  * Makefile.in: make sure to look at CPPFLAGS and LDFLAGS in the right places.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 17 Oct 2022 12:40:38 +0200
