=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pmw
-Priority: extra
+Priority: optional
 Section: tex
 Maintainer: Wouter Verhelst <wouter@debian.org>
 Build-Depends: debhelper-compat (= 10)
