=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,3 @@
 	dh_install -a
 	cp -a debian/fonts.conf debian/pmw/etc/ghostscript/fontmap.d/20pmw.conf
 	rm -f debian/pmw/usr/share/pmw/fontmetrics/LICENCE
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=pmw
