=== debian/tests/control ===
Tests: run-examples
Depends: pmw
